## org.exist.client.xacml
Class AbstractNodeContainer

    java.lang.Object
      org.exist.client.xacml.AbstractTreeNode
          org.exist.client.xacml.AbstractNodeContainer

All Implemented Interfaces:
  NodeChangeListener, NodeContainer, XACMLTreeNode

Direct Known Subclasses:
  PolicyElementNode

public abstract class AbstractNodeContainer
extends AbstractTreeNode
implements NodeContainer

Constructor Summary
`AbstractNodeContainer(NodeContainer parent)`

Method Summary
`void` `nodeAdded(XACMLTreeNode node, int newIndex)`
`void` `nodeChanged(XACMLTreeNode node)`
`void` `nodeRemoved(XACMLTreeNode removedNode, int oldChildIndex)`

Methods inherited from class org.exist.client.xacml.AbstractTreeNode
`commit, getParent, isModified, revert, setModified`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.exist.client.xacml.NodeContainer
`getChild, getChildCount, indexOfChild`

Methods inherited from interface org.exist.client.xacml.XACMLTreeNode
`commit, getParent, isModified, revert, serialize, setModified`

Constructor Detail

### AbstractNodeContainer

    public AbstractNodeContainer(NodeContainer parent)

Method Detail

### nodeChanged

    public void nodeChanged(XACMLTreeNode node)

  Specified by:
    `nodeChanged` in interface `NodeChangeListener`

### nodeAdded

    public void nodeAdded(XACMLTreeNode node,
                          int newIndex)

  Specified by:
    `nodeAdded` in interface `NodeChangeListener`

### nodeRemoved

    public void nodeRemoved(XACMLTreeNode removedNode,
                            int oldChildIndex)

  Specified by:
    `nodeRemoved` in interface `NodeChangeListener`

Copyright (C) Wolfgang Meier. All rights reserved.